summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Lenard Spencer <lenardrspencer@gmail.com>2022-04-02 12:01:20 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-02 18:19:11 +0700
commit6bb0fe064ce129defdab1c8df476733ef3b5bef4 (patch)
treed110ae35c7525c45fd5d019b7663d5f0dc1e1d76 /graphics
parentfebded424542c0bdf8a4f6dc1f18e4632cbc2c85 (diff)
downloadslackbuilds-6bb0fe064ce129defdab1c8df476733ef3b5bef4.tar.gz
slackbuilds-6bb0fe064ce129defdab1c8df476733ef3b5bef4.tar.xz
graphics/OpenVSP: Added (3D Aircraft Modeling Tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/OpenVSP/OpenVSP.SlackBuild135
-rw-r--r--graphics/OpenVSP/OpenVSP.desktop9
-rw-r--r--graphics/OpenVSP/OpenVSP.info10
-rw-r--r--graphics/OpenVSP/README13
-rw-r--r--graphics/OpenVSP/doinst.sh13
-rw-r--r--graphics/OpenVSP/slack-desc19
6 files changed, 199 insertions, 0 deletions
diff --git a/graphics/OpenVSP/OpenVSP.SlackBuild b/graphics/OpenVSP/OpenVSP.SlackBuild
new file mode 100644
index 0000000000..8b42012674
--- /dev/null
+++ b/graphics/OpenVSP/OpenVSP.SlackBuild
@@ -0,0 +1,135 @@
+#!/bin/bash
+
+# Slackware build script for OpenVSP
+
+# Copyright 2022 Lenard Spencer, Orlando, Florida, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=OpenVSP
+VERSION=${VERSION:-3.27.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}-${PRGNAM}_$VERSION
+tar -xvf $CWD/${PRGNAM}_$VERSION.tar.?z*
+cd $PRGNAM-${PRGNAM}_$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build buildlibs
+
+cd buildlibs
+ cmake \
+ -DVSP_USE_SYSTEM_LIBXML2=true \
+ -DVSP_USE_SYSTEM_FLTK=true \
+ -DVSP_USE_SYSTEM_GLM=false \
+ -DVSP_USE_SYSTEM_GLEW=true \
+ -DVSP_USE_SYSTEM_CMINPACK=false \
+ -DVSP_USE_SYSTEM_LIBIGES=false \
+ -DVSP_USE_SYSTEM_EIGEN=true \
+ -DVSP_USE_SYSTEM_CODEELI=false \
+ -DVSP_USE_SYSTEM_CPPTEST=false \
+ -DCMAKE_BUILD_TYPE=Release \
+ ../Libraries
+ make -j1 # parallel builds broken
+
+cd ../build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DVSP_LIBRARY_PATH=$TMP/${PRGNAM}-${PRGNAM}_$VERSION/buildlibs \
+ -DCMAKE_INSTALL_PREFIX=/opt/$PRGNAM \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+for i in 16 32 64 128; do
+ convert vspIcon.png -resize ${i}x${i}! $PRGNAM-${i}.png
+ install -D -m 0644 $PRGNAM-${i}.png \
+ $PKG/usr/share/icons/hicolor/${i}x${i}/apps/$PRGNAM.png
+done
+install -D -m0644 $CWD/OpenVSP.desktop \
+ $PKG/usr/share/applications/OpenVSP.desktop
+
+# Create symlink to executable:
+(mkdir -p $PKG/usr/bin ; cd $PKG/usr/bin ; ln -sf /opt/OpenVSP/vsp )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/OpenVSP/OpenVSP.desktop b/graphics/OpenVSP/OpenVSP.desktop
new file mode 100644
index 0000000000..b9c345e7fc
--- /dev/null
+++ b/graphics/OpenVSP/OpenVSP.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=OpenVSP
+GenericName=OpenVSP
+Comment=3D Aircraft Modeler
+Exec=vsp
+Icon=OpenVSP
+Terminal=false
+Type=Application
+Categories=Graphics;
diff --git a/graphics/OpenVSP/OpenVSP.info b/graphics/OpenVSP/OpenVSP.info
new file mode 100644
index 0000000000..f6812ff77e
--- /dev/null
+++ b/graphics/OpenVSP/OpenVSP.info
@@ -0,0 +1,10 @@
+PRGNAM="OpenVSP"
+VERSION="3.27.1"
+HOMEPAGE="http://openvsp.org"
+DOWNLOAD="https://github.com/OpenVSP/OpenVSP/archive/OpenVSP_3.27.1.tar.gz"
+MD5SUM="1c2bddcb2556dfeda7ef1387d33694c3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Lenard Spencer"
+EMAIL="lenardrspencer@gmail.com"
diff --git a/graphics/OpenVSP/README b/graphics/OpenVSP/README
new file mode 100644
index 0000000000..79c0c29acd
--- /dev/null
+++ b/graphics/OpenVSP/README
@@ -0,0 +1,13 @@
+OpenVSP is a parametric aircraft geometry tool. OpenVSP allows the
+user to create a 3D model of an aircraft defined by common engineering
+parameters. This model can be processed into formats suitable for
+engineering analysis.
+
+The predecessors to OpenVSP have been developed by J.R. Gloudemans and
+others for NASA since the early 1990's. On January 10 2012, OpenVSP
+was released as an open source project under the NASA Open Source
+Agreement (NOSA) version 1.3.
+
+You can download sample aircraft at http://hangar.openvsp.org.
+
+Requires fltk from Slackware's /extra folder.
diff --git a/graphics/OpenVSP/doinst.sh b/graphics/OpenVSP/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/graphics/OpenVSP/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/graphics/OpenVSP/slack-desc b/graphics/OpenVSP/slack-desc
new file mode 100644
index 0000000000..2aed2df60f
--- /dev/null
+++ b/graphics/OpenVSP/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+OpenVSP: OpenVSP (3D aircraft modeling tool)
+OpenVSP:
+OpenVSP: OpenVSP is a parametric aircraft geometry tool that allows the user
+OpenVSP: to create a 3D model of an aircraft defined by common engineering
+OpenVSP: parameters. This model can be processed into formats suitable for
+OpenVSP: engineering analysis. OpenVSP was released as an open source project
+OpenVSP: under the NASA Open Source Agreement (NOSA) version 1.3.
+OpenVSP:
+OpenVSP:
+OpenVSP: homepage: http://openvsp.org
+OpenVSP: